Ocenaudio-3.6.4-64 bit.

Post links to your 64bit module repos here. Repo maintainers are responsible for resolving any issues caused by their xzm's.
Post Reply
raja
Shogun
Shogun
Posts: 215
Joined: 02 May 2017, 09:51
Distribution: v3.2.2-32 and v5.0-rc1-zstd-64
Location: Chennai,India

Ocenaudio-3.6.4-64 bit.

Post#1 by raja » 28 May 2019, 08:49

Download deb package from here.

http://www.ocenaudio.com/en/download

If deb2xzm works, convert, or unpack with p7zip, dir2xzm and activate. Installs in /opt.

Needs Qt5 preinstalled in your machine.

Works fine.
Linux Kernel-4.4.120-32 bit; Linux kernel-5.2-64 bit.

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

Ocenaudio-3.6.4-64 bit.

Post#2 by Rava » 07 Mar 2020, 21:52

Thanks for the heads up.
________________________________________

I downloaded, deb2xzm'd and examined the ocenaudio_debian8_64_3.7.10 version.
Here are some finds.

It not works out of the box but needs a lot of dependencies that are broken (more than QT as mentioned above) by default on my 5.0rc1 XFCE Porteus:

Code: Select all

guest@porteus:~$ ldd /opt/ocenaudio/bin/ocenaudio|grep not
	libQt5Core.so.5 => not found
	libQt5Gui.so.5 => not found
	libQt5Widgets.so.5 => not found
	libQt5Network.so.5 => not found
	libQt5Concurrent.so.5 => not found
	libjack.so.0 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
	libQt5Network.so.5 => not found
	libQt5Concurrent.so.5 => not found
	libQt5Widgets.so.5 => not found
	libQt5Gui.so.5 => not found
	libjack.so.0 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
	libQt5Core.so.5 => not found
	libQt5Core.so.5 => not found
	libQt5Gui.so.5 => not found
	libQt5Widgets.so.5 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
	libjack.so.0 => not found
	libQt5Core.so.5 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
	libQt5Core.so.5 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
	libssl.so.1.0.0 => not found
	libcrypto.so.1.0.0 => not found
It also not runs when trying to start it via a xterminal since there is no symlink to a $PATH, e.g. no symlink into /bin/ or /usr/bin/ .
The binaries which needs such symlinks are:

Code: Select all

guest@porteus:~$ ls -o /opt/ocenaudio/bin/ocenaudio /opt/ocenaudio/bin/ocenvst 
-rwxr-xr-x 1 root 5608352 Feb 26 19:23 /opt/ocenaudio/bin/ocenaudio
-rwxr-xr-x 1 root   58976 Feb 26 19:23 /opt/ocenaudio/bin/ocenvst

It comes with three languages as its local dictionaries:

Code: Select all

root@porteus:~# ls -o /mnt/loop/opt/ocenaudio/dics/
total 7269
-rw-r--r-- 1 root    3089 Feb 26 19:23 en_US.aff
-rw-r--r-- 1 root  542882 Feb 26 19:23 en_US.dic
-rw-r--r-- 1 root  270881 Feb 26 19:23 fr_FR.aff
-rw-r--r-- 1 root 1084844 Feb 26 19:23 fr_FR.dic
-rw-r--r-- 1 root  968260 Feb 26 19:23 pt_BR.aff
-rw-r--r-- 1 root 4571588 Feb 26 19:23 pt_BR.dic
If one has no need for all three, you might want to remove some and only keep e.g. one language you really have use for.
Or you can also choose to be lazy and just keep languages you never use if that is your thing. :)

Be aware that the pt_BR files are NOT UTF-8 encoded:

Code: Select all

root@porteus:~# file /mnt/loop/opt/ocenaudio/dics/*
/mnt/loop/opt/ocenaudio/dics/en_US.aff: UTF-8 Unicode text
/mnt/loop/opt/ocenaudio/dics/en_US.dic: ASCII text
/mnt/loop/opt/ocenaudio/dics/fr_FR.aff: UTF-8 Unicode text
/mnt/loop/opt/ocenaudio/dics/fr_FR.dic: UTF-8 Unicode text
/mnt/loop/opt/ocenaudio/dics/pt_BR.aff: ISO-8859 text, with CRLF line terminators
/mnt/loop/opt/ocenaudio/dics/pt_BR.dic: ISO-8859 text, with CRLF line terminators
but ISO-8859 with Windoze line terminators.
Cheers!
Yours Rava

Post Reply